<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */




namespace Kufer\Web\KuferTools\Basis\KursUebersicht\Detailsreiter\Honorar\AddDozent;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class NewDozentDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursdetails/detailsreiter/newdozent.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->dozent,
      true
    );
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(
      new \ExportKurse(),
      array(
        'toolId' => $this->viewModel->toolSection->getToolId(),
        'k_toolId' => $this->viewModel->toolSection->getToolId()
      )
    );
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->toolId = $this->viewModel->toolSection->getToolId();

    return array($this->viewModel->kurs);
  }

  
  
}

class NewDozentDialogViewModel
{
  public $toolSection;
  public $toolSettings;
  public $kurs;
  public $columns;
  public $dozent;
  
}